ALAS-2012-145


Amazon Linux AMI Security Advisory: ALAS-2012-145
Advisory Release Date: 2014-09-14 17:19 Pacific
Severity: Important

Issue Overview:

A stack-based buffer overflow flaw was found in the user permission checking code in MySQL. An authenticated database user could use this flaw to crash the mysqld daemon or, potentially, execute arbitrary code with the privileges of the user running the mysqld daemon. (CVE-2012-5611 )


Affected Packages:

mysql51


Issue Correction:
Run yum update mysql51 to update your system.

New Packages:
i686:
    mysql51-bench-5.1.66-1.57.amzn1.i686
    mysql51-5.1.66-1.57.amzn1.i686
    mysql51-embedded-5.1.66-1.57.amzn1.i686
    mysql51-embedded-devel-5.1.66-1.57.amzn1.i686
    mysql51-libs-5.1.66-1.57.amzn1.i686
    mysql51-debuginfo-5.1.66-1.57.amzn1.i686
    mysql51-common-5.1.66-1.57.amzn1.i686
    mysql51-test-5.1.66-1.57.amzn1.i686
    mysql51-devel-5.1.66-1.57.amzn1.i686
    mysql51-server-5.1.66-1.57.amzn1.i686

src:
    mysql51-5.1.66-1.57.amzn1.src

x86_64:
    mysql51-5.1.66-1.57.amzn1.x86_64
    mysql51-debuginfo-5.1.66-1.57.amzn1.x86_64
    mysql51-embedded-5.1.66-1.57.amzn1.x86_64
    mysql51-server-5.1.66-1.57.amzn1.x86_64
    mysql51-libs-5.1.66-1.57.amzn1.x86_64
    mysql51-embedded-devel-5.1.66-1.57.amzn1.x86_64
    mysql51-devel-5.1.66-1.57.amzn1.x86_64
    mysql51-common-5.1.66-1.57.amzn1.x86_64
    mysql51-test-5.1.66-1.57.amzn1.x86_64
    mysql51-bench-5.1.66-1.57.amzn1.x86_64